Loading...
Searching...
No Matches
_SplayTreeInfo Struct Reference

## Data Fields

NodeInfo * | root
int(* | compare )(const void *, const void *)
void *(* | relinquish_key )(void *)
void **(* | relinquish_value )(void *)
MagickBooleanType | balance
void * | key
void * | next
size_t | nodes
MagickBooleanType | debug
SemaphoreInfo * | semaphore
size_t | signature

## Detailed Description

Definition at line 83 of file splay-tree.c.

## Field Documentation

## balance

MagickBooleanType _SplayTreeInfo::balance

Definition at line 96 of file splay-tree.c.

## compare

int(* _SplayTreeInfo::compare) (const void *, const void *)

Definition at line 88 of file splay-tree.c.

## debug

MagickBooleanType _SplayTreeInfo::debug

Definition at line 106 of file splay-tree.c.

## key

void* _SplayTreeInfo::key

Definition at line 99 of file splay-tree.c.

## next

void * _SplayTreeInfo::next

Definition at line 100 of file splay-tree.c.

## nodes

size_t _SplayTreeInfo::nodes

Definition at line 103 of file splay-tree.c.

## relinquish_key

void *(* _SplayTreeInfo::relinquish_key) (void *)

Definition at line 91 of file splay-tree.c.

## relinquish_value

void **(* _SplayTreeInfo::relinquish_value) (void *)

Definition at line 91 of file splay-tree.c.

## root

NodeInfo* _SplayTreeInfo::root

Definition at line 86 of file splay-tree.c.

## semaphore

SemaphoreInfo* _SplayTreeInfo::semaphore

Definition at line 109 of file splay-tree.c.

## signature

size_t _SplayTreeInfo::signature

Definition at line 112 of file splay-tree.c.

The documentation for this struct was generated from the following file:

- splay-tree.c